Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.simtoolsgui
Interface ControlPanel

public interface ControlPanel
extends SwarmObject, SwarmObjectS

Class to control the top level SwarmProcess. ControlPanel keeps track of the users requests to run, stop, quit, or time step the simulation. It cooperates with the GUISwarm to control the execution of activities in Swarm.

Method Summary
`Symbol` | `getState()` Get the current button state of the controlpanel.
`java.lang.Object` | `setState(Symbol s)`
`java.lang.Object` | `setStateNextTime()` Stop the running activity, and then set state to `ControlStateNextTime'.
`java.lang.Object` | `setStateQuit()` Terminate activities, and set state to `ControlStateQuit'.
`java.lang.Object` | `setStateRunning()` Sets the state to `running'.
`java.lang.Object` | `setStateSave()` Saves the objects that are registered for archiving.
`java.lang.Object` | `setStateStepping()` Stop the running activity, and then set state to `ControlStateStepping'.
`java.lang.Object` | `setStateStopped()` The -setStateStopped message is particularly useful since it will cause the simulation to stop until the user interactively sets it back in motion (in other words, this method is useful in generating a software-triggered pause).
`java.lang.Object` | `startInActivity(SwarmActivity activityID)`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getState

    public Symbol getState()

  Get the current button state of the controlpanel. Is one of ControlStateRunning, ControlStateStopped, ControlStateStepping, ControlStateNextTime, or ControlStateQuit.

### setState

    public java.lang.Object setState(Symbol s)

### startInActivity

    public java.lang.Object startInActivity(SwarmActivity activityID)

### setStateRunning

    public java.lang.Object setStateRunning()

  Sets the state to `running'.

### setStateStopped

    public java.lang.Object setStateStopped()

  The -setStateStopped message is particularly useful since it will cause the simulation to stop until the user interactively sets it back in motion (in other words, this method is useful in generating a software-triggered pause).

### setStateStepping

    public java.lang.Object setStateStepping()

  Stop the running activity, and then set state to `ControlStateStepping'.

### setStateQuit

    public java.lang.Object setStateQuit()

  Terminate activities, and set state to `ControlStateQuit'.

### setStateNextTime

    public java.lang.Object setStateNextTime()

  Stop the running activity, and then set state to `ControlStateNextTime'.

### setStateSave

    public java.lang.Object setStateSave()

  Saves the objects that are registered for archiving.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD